/*
 * AddrEntry.java	
 */
import java.util.*;

public class AddrEntry {

	String	fname, lname;	// first name and last name
	String	phone, email;
	String	address;	// address

  public AddrEntry()
  {
    fname = lname = " ";
    phone = email = " ";
    address = " ";
  }

  public AddrEntry( String fn, String ln, String p, String e, String a )
  {
    fname = fn;
    lname = ln;
    phone = p;
    email = e;
    address = a;
  }

  public AddrEntry( String line )
  {
    StringTokenizer st = new StringTokenizer( line, "|" );
    fname = st.nextToken();
    lname = st.nextToken();
    phone = st.nextToken();
    email = st.nextToken();
    address = st.nextToken();
  }

} // end of class AddrEntry

